Package Details: wget2-git 1.99.1.r179.g58588e7a-1

Git Clone URL: https://aur.archlinux.org/wget2-git.git (read-only, click to copy)
Package Base: wget2-git
Description: Updated version of popular Wget tool
Upstream URL: http://www.gnu.org/software/wget/wget.html
Keywords: download gnu network wget
Licenses: GPL3
Conflicts: wget2
Provides: wget2
Submitter: darnir
Maintainer: darnir
Last Packager: darnir
Votes: 3
Popularity: 0.000005
First Submitted: 2016-02-03 21:03
Last Updated: 2019-03-28 23:03

Latest Comments

1 2 Next › Last »

malcolm commented on 2020-05-01 15:57

automake is missing. please add as a dependency

yan12125 commented on 2020-04-02 17:20

I hope pandoc and doxygen can be added to makedepends as well so that docs are built and installed.

yan12125 commented on 2020-03-30 14:12

Let me check. Bootstrap is supposed to fallback to rsync if Wget is not found.

@darnir This is no longer the case [1][2].

[1] https://gitlab.com/gnuwget/wget2/-/commit/35019261ea314aaa2c87e656ab40963613186367

[2] https://github.com/coreutils/gnulib/commit/0ddd440d18af7bb10437642f12721d83092f0bea

aiM0a commented on 2019-09-24 15:48

Recompiling today results in a different error:

$ wget2 <https://blog.qutebrowser.org>
Failed to connect (101)
Failed to connect: Connect error

I guess this is an upstream issue?

aiM0a commented on 2019-09-23 13:56

Hello, I recompiled a few days ago and since then, I'm having trouble with https sites... I get the following error:

$ wget2 -O /dev/null <https://blog.qutebrowser.org>
Failed to connect: libwget has been built without TLS support

while everything works correctly with the http variant

$ wget2 -O /dev/null <http://blog.qutebrowser.org>
[0] Downloading '<http://blog.qutebrowser.org>' ...
HTTP response 200 OK [<http://blog.qutebrowser.org>]

zxcv commented on 2019-09-07 01:07

Edit: It seems to be upstream issue.

Tried to install today:

/usr/bin/install: cannot stat '././man/man3/libwget-base64.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-bitmap.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-console.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-dns.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-dns-caching.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-error.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-hash.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-hashmap.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-io.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-ip.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-list.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-mem.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-net.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-parse_atom.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-parse_sitemap.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-printf.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-random.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-robots.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-stringmap.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-thread.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-utils.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-vector.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-xalloc.3': No such file or directory
/usr/bin/install: cannot stat '././man/man3/libwget-xml.3': No such file or directory

darnir commented on 2019-09-02 05:20

Let me check. Bootstrap is supposed to fallback to rsync if Wget is not found.

moparisthebest commented on 2019-09-02 02:52

This requires wget in makedepends, otherwise:

./bootstrap: getting translations into po/.reference for wget2...
./bootstrap: line 742: wget: command not found

darnir commented on 2018-04-23 20:09

Nope. flex is a part of base-devel and you should always have it installed if you're going to use the AUR.

turtur commented on 2018-04-23 05:19

please add flex package as dependency for wget2-git